AOMedia AV1 Codec: TplParams Struct Reference

| AOMedia AV1 Codec

Data Fields
TplParams Struct Reference

Params related to temporal dependency model. More...

`#include <tpl_model.h>`

## Data Fields
int | ready
uint8_t | tpl_stats_block_mis_log2
uint8_t | tpl_bsize_1d
TplDepFrame | tpl_stats_buffer [MAX_LENGTH_TPL_FRAME_STATS]
TplDepStats * | tpl_stats_pool [MAX_LAG_BUFFERS]
TplTxfmStats | txfm_stats_list [MAX_LENGTH_TPL_FRAME_STATS]
YV12_BUFFER_CONFIG | tpl_rec_pool [MAX_LAG_BUFFERS]
TplDepFrame * | tpl_frame
struct scale_factors | sf
int | frame_idx
const YV12_BUFFER_CONFIG * | src_ref_frame [INTER_REFS_PER_FRAME]
const YV12_BUFFER_CONFIG * | ref_frame [INTER_REFS_PER_FRAME]
AV1TplRowMultiThreadSync | tpl_mt_sync
int | border_in_pixels

## Detailed Description

Params related to temporal dependency model.

## Field Documentation

## ◆ ready

int TplParams::ready

Whether the tpl stats is ready.

## ◆ tpl_stats_block_mis_log2

uint8_t TplParams::tpl_stats_block_mis_log2

Block granularity of tpl score storage.

## ◆ tpl_bsize_1d

uint8_t TplParams::tpl_bsize_1d

Tpl motion estimation block 1d size. tpl_bsize_1d >= 16.

## ◆ tpl_stats_buffer

TplDepFrame TplParams::tpl_stats_buffer[MAX_LENGTH_TPL_FRAME_STATS]

Buffer to store the frame level tpl information for each frame in a gf group. tpl_stats_buffer[i] stores the tpl information of ith frame in a gf group

## ◆ tpl_stats_pool

TplDepStats* TplParams::tpl_stats_pool[MAX_LAG_BUFFERS]

Buffer to store tpl stats at block granularity. tpl_stats_pool[i][j] stores the tpl stats of jth block of ith frame in a gf group.

## ◆ txfm_stats_list

TplTxfmStats TplParams::txfm_stats_list[MAX_LENGTH_TPL_FRAME_STATS]

Buffer to store tpl transform stats per frame. txfm_stats_list[i] stores the TplTxfmStats of the ith frame in a gf group.

## ◆ tpl_rec_pool

YV12_BUFFER_CONFIG TplParams::tpl_rec_pool[MAX_LAG_BUFFERS]

Buffer to store tpl reconstructed frame. tpl_rec_pool[i] stores the reconstructed frame of ith frame in a gf group.

## ◆ tpl_frame

TplDepFrame* TplParams::tpl_frame

Pointer to tpl_stats_buffer.

## ◆ sf

struct scale_factors TplParams::sf

Scale factors for the current frame.

Referenced by handle_inter_mode().

## ◆ frame_idx

int TplParams::frame_idx

GF group index of the current frame.

## ◆ src_ref_frame

const YV12_BUFFER_CONFIG* TplParams::src_ref_frame[INTER_REFS_PER_FRAME]

Array of pointers to the frame buffers holding the source frame. src_ref_frame[i] stores the pointer to the source frame of the ith reference frame type.

## ◆ ref_frame

const YV12_BUFFER_CONFIG* TplParams::ref_frame[INTER_REFS_PER_FRAME]

Array of pointers to the frame buffers holding the tpl reconstructed frame. ref_frame[i] stores the pointer to the tpl reconstructed frame of the ith reference frame type.

## ◆ tpl_mt_sync

AV1TplRowMultiThreadSync TplParams::tpl_mt_sync

Parameters related to synchronization for top-right dependency in row based multi-threading of tpl

## ◆ border_in_pixels

int TplParams::border_in_pixels

Frame border for tpl frame.

The documentation for this struct was generated from the following file:

- av1/encoder/tpl_model.h